import matplotlib.pyplot as plt

import numpy as np
import scipy.linalg

import csv
import pandas as pd



path = r'/home/dennis/rbdl-hyon-hip/output/data.csv'

x = []
dx = []

z = []
dz = []
l = []
phi = []
dphi = []

theta = []
dtheta = []

dl = []
u1 = []
u2 = []


factor = 1.0/(9.81*80)

#Read values from csv file
reader = csv.DictReader(open(path))
counter = 0
for row in reader:
    z.append(float(row['z']) )
    dz.append(float(row['dz']) )
    x.append(float(row['x']) )
    dx.append(float(row['dx']) )
    l.append(float(row['l']) )
    dl.append(float(row['dl']) )

    phi.append(float(row['psi']) )
    dphi.append(float(row['dpsi']) )
    theta.append(float(row['theta']) )
    dtheta.append(float(row['dtheta']) )

    u1.append(float(row['u1']) )
    u2.append(float(row['u2']) )


zf = []
for i in range(0, np.size(z)):
    zf.append(z[i]-l[i])

u_plot = []

time = 0.33 +0.47+0.26



time_steps =  np.linspace(0,time, len(u1), endpoint=True)

# plt.plot(time_steps, z)
# plt.plot(time_steps, x)

#plt.plot(theta, dtheta)
#plt.plot(phi, dphi)


#plt.plot(time_steps, z)
#plt.plot(time_steps, dz)
#plt.plot(z,dz)

#plt.plot(time_steps, u1)
#plt.plot(time_steps, u2)

#plt.plot(time_steps,l)
#plt.plot(time_steps,dl)

#plt.step(time_steps,u1)
#plt.step(time_steps,u2)

plt.rcParams.update({'font.size': 15})

fig, (ax1, ax2, ax3) = plt.subplots(1, 3)
#fig.suptitle('Phase portraits')
ax1.plot(z,dz)
ax1.set_xlabel(r'$\dot{z} [\frac{\mathrm{m}}{\mathrm{s}}]$')
ax1.set_ylabel(r'$z [\mathrm{m}]$')
ax1.grid(color='b', ls = '-.', lw = 0.25)

ax2.plot(theta,dtheta)
ax2.set_xlabel(r'$\dot{\theta} [\frac{\mathrm{rad}}{\mathrm{s}}]$')
ax2.set_ylabel(r'$\theta [\mathrm{rad}]$')
ax2.grid(color='b', ls = '-.', lw = 0.25)

ax3.plot(phi,dphi)
ax3.set_xlabel(r'$\dot{\phi} [\frac{\mathrm{rad}}{\mathrm{s}}]$')
ax3.set_ylabel(r'$\phi [\mathrm{rad}]$')
ax3.grid(color='b', ls = '-.', lw = 0.25)





plt.show()